%define modn      c_icap_modules
%define ver       0.1.4
%define icapv     %(rpm -q c-icap-devel --qf '%{VERSION}')


Summary:          An implementation of an ICAP server
Name:             c-icap-modules
Version:          %{ver}
Release:          1%{?dist}%{?pext}
License:          GPL
Group:            System Environment/Libraries
Source0:          http://downloads.sourceforge.net/project/c-icap/%{name}/%{ver}/%{modn}-%{ver}.tar.gz
Patch0:           %{name}-0.1.1-pre2-paths.patch
URL:              http://c-icap.sourceforge.net/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Tsantilas Christos <chtsanti@users.sourceforge.net>
Requires:         c-icap >= %{icapv}
Requires(postun): /sbin/service
BuildRequires:    c-icap-devel db4-devel


%description
C-icap is an implementation of an ICAP server. It can be used with HTTP
proxies that support the ICAP protocol to implement content adaptation
and filtering services. This package provides additional service modules
for c-icap.


%prep
%setup -q -n %{modn}-%{ver}
%patch0 -p1


%build
%configure \
	CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing" \
	--enable-shared                                \
	--with-bdb                                     \
	--without-clamav  # Still not in RedHat/CentOS

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/c-icap
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}/c-icap

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

for CFG in ${RPM_BUILD_ROOT}%{_sysconfdir}/c-icap/*.conf; do
  %{__cp} -a ${CFG} ${RPM_BUILD_ROOT}%{_sysconfdir}/c-icap/$(basename ${CFG} .conf).default
done

%{__rm}   -f        ${RPM_BUILD_ROOT}%{_libdir}/c_icap/*.la


%postun
# Restart after erase/upgrade
/sbin/service c-icap condrestart >/dev/null 2>&1 || :


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING INSTALL
%attr(640,root,c-icap) %config(noreplace) %{_sysconfdir}/c-icap/*.conf
%attr(640,root,c-icap) %{_sysconfdir}/c-icap/*.default
%{_libdir}/c_icap/srv_url_check.so


%changelog
* Mon Apr 04 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.1.4-1
- New version (0.1.4)

* Mon Jan 17 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.1.3-1
- New version (0.1.3)

* Tue Nov 02 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.1.2-2
- Fixed c-icap version dependency

* Fri Oct 15 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.1.2-1
- New version (0.1.2)

* Mon Jul 05 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.1.1-1
- New version (0.1.1)

* Thu Jun 03 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.1.1-0.1.pre2
- Initial build
